<template>
  <app-options
    title="Board Options"
    :sections="sections"
    :open="open"
    @close="handleCancel"
  >
    <template v-slot:primary>
      <app-options-item
        :id="id"
        @onClick="renameBoard"
        name="Rename Board"
        icon="pen"
        color="secondary"
      />
      <app-options-item
        :id="id"
        @onClick="deleteBoard"
        name="Delete Board"
        icon="trash"
        color="danger"
      />
    </template>
    <template v-slot:navigation>
      <app-options-item
        :id="id"
        @onClick="moveLeft"
        name="Move Left"
        icon="chevron-left"
        color="primary"
      />
      <app-options-item
        :id="id"
        @onClick="moveRight"
        name="Move Right"
        icon="chevron-right"
        color="primary"
      />
    </template>
  </app-options>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import AppOptions from "./Options.vue";
import AppOptionsItem from "./OptionsItem.vue";

type sectionOptions = "primary" | "secondary" | "navigation";

export default defineComponent({
  components: { AppOptions, AppOptionsItem },
  props: {
    open: {
      type: Boolean,
      required: true,
    },
    id: {
      type: String,
      required: true,
    },
  },
  data() {
    return {
      sections: ["primary", "navigation"] as sectionOptions[],
    };
  },
  methods: {
    handleCancel() {
      this.$emit("cancel");
    },
    renameBoard() {
      this.$emit("rename");
    },
    deleteBoard() {
      this.$emit("delete");
    },
    moveLeft() {
      this.$emit("move-left");
    },
    moveRight() {
      this.$emit("move-right");
    },
  },
});
</script>
